	.reference	___bb_blitz_blitz
	.reference	___bb_imports_constants
	.reference	___bb_imports_entity
	.reference	__bb_TEntity_gMaxZ
	.reference	__bb_TEntity_gMinZ
	.reference	_bbFloatToInt
	.reference	_bbGCFree
	.reference	_bbNullObject
	.reference	_bbObjectClass
	.reference	_bbObjectCompare
	.reference	_bbObjectCtor
	.reference	_bbObjectFree
	.reference	_bbObjectNew
	.reference	_bbObjectRegisterType
	.reference	_bbObjectReserved
	.reference	_bbObjectSendMessage
	.reference	_bbObjectToString
	.reference	_bbOnDebugEnterScope
	.reference	_bbOnDebugEnterStm
	.reference	_bbOnDebugLeaveScope
	.reference	_bbStringClass
	.reference	_brl_blitz_NullObjectError
	.reference	_brl_max2d_DrawImage
	.reference	_brl_max2d_ImageHeight
	.reference	_brl_max2d_ImageWidth
	.reference	_brl_max2d_LoadImage
	.reference	_brl_max2d_SetAlpha
	.reference	_brl_max2d_SetBlend
	.reference	_brl_max2d_SetColor
	.reference	_brl_max2d_SetImageHandle
	.reference	_brl_max2d_SetScale
	.reference	_brl_random_Rnd
	.globl	___bb_imports_cloud
	.globl	__bb_TCloud_Create
	.globl	__bb_TCloud_Delete
	.globl	__bb_TCloud_New
	.globl	__bb_TCloud_addToListDepthSorted
	.globl	__bb_TCloud_draw
	.globl	__bb_TCloud_drawAll
	.globl	__bb_TCloud_gFirst
	.globl	__bb_TCloud_gGfxCloud1
	.globl	__bb_TCloud_gHorizonYOffset
	.globl	__bb_TCloud_gHorizontalSpeed
	.globl	__bb_TCloud_gLast
	.globl	__bb_TCloud_hittable
	.globl	__bb_TCloud_loadGraphics
	.globl	__bb_TCloud_removeAll
	.globl	__bb_TCloud_update
	.globl	__bb_TCloud_updateAll
	.globl	_bb_TCloud
	.text	
___bb_imports_cloud:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$20,%esp
	cmpl	$0,_87
	je	_88
	mov	$0,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_88:
	movl	$1,_87
	movl	%ebp,4(%esp)
	movl	$_85,(%esp)
	calll	*_bbOnDebugEnterScope
	call	___bb_blitz_blitz
	call	___bb_imports_constants
	call	___bb_imports_entity
	movl	$_79,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_81,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_82,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_83,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_84,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_bb_TCloud,(%esp)
	call	_bbObjectRegisterType
	mov	$0,%ebx
	jmp	_46
_46:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TCloud_New:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_93,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbObjectCtor
	movl	-4(%ebp),%eax
	movl	$_bb_TCloud,(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	8(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	12(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	16(%eax)
	mov	$_bbNullObject,%edx
	incl	4(%edx)
	movl	-4(%ebp),%eax
	movl	%edx,20(%eax)
	movl	-4(%ebp),%eax
	movl	$0,24(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	28(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	32(%eax)
	mov	$_bbNullObject,%edx
	incl	4(%edx)
	movl	-4(%ebp),%eax
	movl	%edx,36(%eax)
	mov	$_bbNullObject,%edx
	incl	4(%edx)
	movl	-4(%ebp),%eax
	movl	%edx,40(%eax)
	movl	%ebp,4(%esp)
	movl	$_92,(%esp)
	calll	*_bbOnDebugEnterScope
	calll	*_bbOnDebugLeaveScope
	mov	$0,%ebx
	jmp	_49
_49:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TCloud_Delete:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$4,%esp
	movl	8(%ebp),%ebx
_52:
	movl	40(%ebx),%eax
	decl	4(%eax)
	jnz	_97
	movl	%eax,(%esp)
	call	_bbGCFree
_97:
	movl	36(%ebx),%eax
	decl	4(%eax)
	jnz	_99
	movl	%eax,(%esp)
	call	_bbGCFree
_99:
	movl	20(%ebx),%eax
	decl	4(%eax)
	jnz	_101
	movl	%eax,(%esp)
	call	_bbGCFree
_101:
	mov	$0,%eax
	jmp	_95
_95:
	add	$4,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TCloud_Create:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	push	%esi
	sub	$28,%esp
	movl	$_bbNullObject,-4(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_166,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_102,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_bb_TCloud,(%esp)
	call	_bbObjectNew
	movl	%eax,-4(%ebp)
	movl	$_104,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_106
	call	_brl_blitz_NullObjectError
_106:
	fldl	_370
	fstpl	8(%esp)
	fldl	_371
	fstpl	(%esp)
	call	_brl_random_Rnd
	fstps	12(%ebx)
	movl	$_108,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_110
	call	_brl_blitz_NullObjectError
_110:
	flds	__bb_TEntity_gMaxZ
	fmuls	_372
	fstpl	8(%esp)
	flds	__bb_TEntity_gMaxZ
	fmuls	_373
	fstpl	(%esp)
	call	_brl_random_Rnd
	fstps	8(%ebx)
	movl	$_112,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_114
	call	_brl_blitz_NullObjectError
_114:
	movl	__bb_TCloud_gGfxCloud1,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	20(%ebx),%eax
	decl	4(%eax)
	jnz	_119
	movl	%eax,(%esp)
	call	_bbGCFree
_119:
	movl	%esi,20(%ebx)
	movl	$_120,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_122
	call	_brl_blitz_NullObjectError
_122:
	mov	%ebx,%esi
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_125
	call	_brl_blitz_NullObjectError
_125:
	flds	_374
	flds	8(%ebx)
	fsubs	__bb_TEntity_gMinZ
	flds	__bb_TEntity_gMaxZ
	fsubs	__bb_TEntity_gMinZ
	fdivrp	%st(0),%st(1)
	fsubrp	%st(0),%st(1)
	fmuls	_375
	fmuls	_376
	fstpl	(%esp)
	call	_bbFloatToInt
	movl	%eax,24(%esi)
	movl	$_126,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_128
	call	_brl_blitz_NullObjectError
_128:
	mov	%ebx,%esi
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_131
	call	_brl_blitz_NullObjectError
_131:
	flds	_377
	flds	8(%ebx)
	fsubs	__bb_TEntity_gMinZ
	flds	__bb_TEntity_gMaxZ
	fsubs	__bb_TEntity_gMinZ
	fdivrp	%st(0),%st(1)
	fsubrp	%st(0),%st(1)
	fstps	16(%esi)
	movl	$_132,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_134
	call	_brl_blitz_NullObjectError
_134:
	mov	%ebx,%esi
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_137
	call	_brl_blitz_NullObjectError
_137:
	flds	_378
	flds	__bb_TEntity_gMaxZ
	fsubs	8(%ebx)
	fmuls	_379
	faddp	%st(0),%st(1)
	fstps	28(%esi)
	movl	$_138,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_140
	call	_brl_blitz_NullObjectError
_140:
	fld1
	fstps	32(%ebx)
	movl	$_142,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_144
	call	_brl_blitz_NullObjectError
_144:
	flds	8(%ebx)
	flds	__bb_TEntity_gMaxZ
	fmuls	_380
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setbe	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_145
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_161,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_146,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_148
	call	_brl_blitz_NullObjectError
_148:
	mov	%ebx,%esi
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_151
	call	_brl_blitz_NullObjectError
_151:
	flds	_381
	flds	8(%ebx)
	flds	__bb_TEntity_gMaxZ
	fmuls	_382
	fsubrp	%st(0),%st(1)
	flds	__bb_TEntity_gMaxZ
	fmuls	_383
	fdivrp	%st(0),%st(1)
	fsubrp	%st(0),%st(1)
	fstps	32(%esi)
	movl	$_152,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_154
	call	_brl_blitz_NullObjectError
_154:
	flds	32(%ebx)
	flds	_384
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setae	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_155
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_160,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_156,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_158
	call	_brl_blitz_NullObjectError
_158:
	flds	_385
	fstps	32(%ebx)
	calll	*_bbOnDebugLeaveScope
_155:
	calll	*_bbOnDebugLeaveScope
_145:
	movl	$_162,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_164
	call	_brl_blitz_NullObjectError
_164:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*68(%eax)
	movl	$_165,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	jmp	_54
_54:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$28,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TCloud_loadGraphics:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	%ebp,4(%esp)
	movl	$_173,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_167,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$-1,4(%esp)
	movl	$_7,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_TCloud_gGfxCloud1,%eax
	decl	4(%eax)
	jnz	_171
	movl	%eax,(%esp)
	call	_bbGCFree
_171:
	movl	%ebx,__bb_TCloud_gGfxCloud1
	movl	$_172,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TCloud_gGfxCloud1,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	movl	__bb_TCloud_gGfxCloud1,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	cdq
	and	$1,%edx
	add	%edx,%eax
	sar	$1,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	4(%esp)
	movl	__bb_TCloud_gGfxCloud1,%eax
	movl	%eax,(%esp)
	call	_brl_max2d_SetImageHandle
	mov	$0,%ebx
	jmp	_56
_56:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TCloud_updateAll:
	push	%ebp
	mov	%esp,%ebp
	sub	$16,%esp
	push	%ebx
	sub	$20,%esp
	flds	8(%ebp)
	fstps	-4(%ebp)
	flds	12(%ebp)
	fstps	-8(%ebp)
	flds	16(%ebp)
	fstps	-12(%ebp)
	movl	$_bbNullObject,-16(%ebp)
	movl	%ebp,4(%esp)
	movl	$_186,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_174,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-8(%ebp)
	fmuls	-4(%ebp)
	fstps	__bb_TCloud_gHorizontalSpeed
	movl	$_175,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	-12(%ebp)
	fstps	__bb_TCloud_gHorizonYOffset
	movl	$_176,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TCloud_gFirst,%eax
	movl	%eax,-16(%ebp)
	movl	$_178,(%esp)
	calll	*_bbOnDebugEnterStm
	jmp	_8
_10:
	movl	%ebp,4(%esp)
	movl	$_185,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_179,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-16(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_181
	call	_brl_blitz_NullObjectError
_181:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*72(%eax)
	movl	$_182,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-16(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_184
	call	_brl_blitz_NullObjectError
_184:
	movl	40(%ebx),%eax
	movl	%eax,-16(%ebp)
	calll	*_bbOnDebugLeaveScope
_8:
	cmpl	$_bbNullObject,-16(%ebp)
	jne	_10
_9:
	mov	$0,%ebx
	jmp	_61
_61:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TCloud_drawAll:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	$_bbNullObject,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_200,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_190,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TCloud_gLast,%eax
	movl	%eax,-4(%ebp)
	movl	$_192,(%esp)
	calll	*_bbOnDebugEnterStm
	jmp	_11
_13:
	movl	%ebp,4(%esp)
	movl	$_199,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_193,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_195
	call	_brl_blitz_NullObjectError
_195:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*76(%eax)
	movl	$_196,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_198
	call	_brl_blitz_NullObjectError
_198:
	movl	36(%ebx),%eax
	movl	%eax,-4(%ebp)
	calll	*_bbOnDebugLeaveScope
_11:
	cmpl	$_bbNullObject,-4(%ebp)
	jne	_13
_12:
	mov	$0,%ebx
	jmp	_63
_63:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TCloud_removeAll:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$20,%esp
	movl	%ebp,4(%esp)
	movl	$_211,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_201,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$_bbNullObject,%ebx
	incl	4(%ebx)
	movl	__bb_TCloud_gFirst,%eax
	decl	4(%eax)
	jnz	_205
	movl	%eax,(%esp)
	call	_bbGCFree
_205:
	movl	%ebx,__bb_TCloud_gFirst
	movl	$_206,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$_bbNullObject,%ebx
	incl	4(%ebx)
	movl	__bb_TCloud_gLast,%eax
	decl	4(%eax)
	jnz	_210
	movl	%eax,(%esp)
	call	_bbGCFree
_210:
	movl	%ebx,__bb_TCloud_gLast
	mov	$0,%ebx
	jmp	_65
_65:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TCloud_addToListDepthSorted:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	push	%esi
	sub	$8,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	$_bbNullObject,-8(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_315,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_212,(%esp)
	calll	*_bbOnDebugEnterStm
	cmpl	$_bbNullObject,__bb_TCloud_gFirst
	jne	_213
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_224,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_214,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	incl	4(%ebx)
	movl	__bb_TCloud_gFirst,%eax
	decl	4(%eax)
	jnz	_218
	movl	%eax,(%esp)
	call	_bbGCFree
_218:
	movl	%ebx,__bb_TCloud_gFirst
	movl	$_219,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	incl	4(%ebx)
	movl	__bb_TCloud_gLast,%eax
	decl	4(%eax)
	jnz	_223
	movl	%eax,(%esp)
	call	_bbGCFree
_223:
	movl	%ebx,__bb_TCloud_gLast
	calll	*_bbOnDebugLeaveScope
	jmp	_225
_213:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_313,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_226,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TCloud_gLast,%eax
	movl	%eax,-8(%ebp)
	movl	$_228,(%esp)
	calll	*_bbOnDebugEnterStm
	jmp	_14
_16:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_238,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_235,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_237
	call	_brl_blitz_NullObjectError
_237:
	movl	36(%ebx),%eax
	movl	%eax,-8(%ebp)
	calll	*_bbOnDebugLeaveScope
_14:
	movl	-8(%ebp),%eax
	cmp	$_bbNullObject,%eax
	setne	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	je	_233
	movl	-8(%ebp),%esi
	cmp	$_bbNullObject,%esi
	jne	_230
	call	_brl_blitz_NullObjectError
_230:
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_232
	call	_brl_blitz_NullObjectError
_232:
	flds	8(%esi)
	flds	8(%ebx)
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	seta	%al
	movzbl	%al,%eax
_233:
	cmp	$0,%eax
	jne	_16
_15:
	movl	$_239,(%esp)
	calll	*_bbOnDebugEnterStm
	cmpl	$_bbNullObject,-8(%ebp)
	jne	_240
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_262,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_241,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TCloud_gFirst,%ebx
	cmp	$_bbNullObject,%ebx
	jne	_243
	call	_brl_blitz_NullObjectError
_243:
	movl	-4(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	36(%ebx),%eax
	decl	4(%eax)
	jnz	_248
	movl	%eax,(%esp)
	call	_bbGCFree
_248:
	movl	%esi,36(%ebx)
	movl	$_249,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_251
	call	_brl_blitz_NullObjectError
_251:
	movl	__bb_TCloud_gFirst,%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	40(%ebx),%eax
	decl	4(%eax)
	jnz	_256
	movl	%eax,(%esp)
	call	_bbGCFree
_256:
	movl	%esi,40(%ebx)
	movl	$_257,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	incl	4(%ebx)
	movl	__bb_TCloud_gFirst,%eax
	decl	4(%eax)
	jnz	_261
	movl	%eax,(%esp)
	call	_bbGCFree
_261:
	movl	%ebx,__bb_TCloud_gFirst
	calll	*_bbOnDebugLeaveScope
	jmp	_263
_240:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_312,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_264,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_266
	call	_brl_blitz_NullObjectError
_266:
	cmpl	$_bbNullObject,40(%ebx)
	je	_267
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_278,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_268,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_270
	call	_brl_blitz_NullObjectError
_270:
	movl	40(%ebx),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_272
	call	_brl_blitz_NullObjectError
_272:
	movl	-4(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	36(%ebx),%eax
	decl	4(%eax)
	jnz	_277
	movl	%eax,(%esp)
	call	_bbGCFree
_277:
	movl	%esi,36(%ebx)
	calll	*_bbOnDebugLeaveScope
	jmp	_279
_267:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_285,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_280,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	incl	4(%ebx)
	movl	__bb_TCloud_gLast,%eax
	decl	4(%eax)
	jnz	_284
	movl	%eax,(%esp)
	call	_bbGCFree
_284:
	movl	%ebx,__bb_TCloud_gLast
	calll	*_bbOnDebugLeaveScope
_279:
	movl	$_286,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_288
	call	_brl_blitz_NullObjectError
_288:
	movl	-8(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	36(%ebx),%eax
	decl	4(%eax)
	jnz	_293
	movl	%eax,(%esp)
	call	_bbGCFree
_293:
	movl	%esi,36(%ebx)
	movl	$_294,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_296
	call	_brl_blitz_NullObjectError
_296:
	mov	%ebx,%esi
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_299
	call	_brl_blitz_NullObjectError
_299:
	movl	40(%ebx),%eax
	incl	4(%eax)
	mov	%eax,%ebx
	movl	40(%esi),%eax
	decl	4(%eax)
	jnz	_303
	movl	%eax,(%esp)
	call	_bbGCFree
_303:
	movl	%ebx,40(%esi)
	movl	$_304,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_306
	call	_brl_blitz_NullObjectError
_306:
	movl	-4(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	40(%ebx),%eax
	decl	4(%eax)
	jnz	_311
	movl	%eax,(%esp)
	call	_bbGCFree
_311:
	movl	%esi,40(%ebx)
	calll	*_bbOnDebugLeaveScope
_263:
	calll	*_bbOnDebugLeaveScope
_225:
	mov	$0,%ebx
	jmp	_68
_68:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$8,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TCloud_update:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	push	%esi
	sub	$12,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_340,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_316,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_318
	call	_brl_blitz_NullObjectError
_318:
	movl	-4(%ebp),%esi
	cmp	$_bbNullObject,%esi
	jne	_321
	call	_brl_blitz_NullObjectError
_321:
	flds	12(%ebx)
	flds	__bb_TCloud_gHorizontalSpeed
	fmuls	28(%esi)
	fsubrp	%st(0),%st(1)
	fstps	12(%ebx)
	movl	$_322,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_324
	call	_brl_blitz_NullObjectError
_324:
	flds	12(%ebx)
	flds	_437
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setae	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_325
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_330,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_326,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_328
	call	_brl_blitz_NullObjectError
_328:
	flds	_438
	fstps	12(%ebx)
	calll	*_bbOnDebugLeaveScope
_325:
	movl	$_331,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_333
	call	_brl_blitz_NullObjectError
_333:
	flds	12(%ebx)
	flds	_439
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setbe	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_334
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_339,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_335,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_337
	call	_brl_blitz_NullObjectError
_337:
	flds	_440
	fstps	12(%ebx)
	calll	*_bbOnDebugLeaveScope
_334:
	mov	$0,%ebx
	jmp	_71
_71:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TCloud_draw:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	push	%esi
	push	%edi
	sub	$20,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_360,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_341,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$3,(%esp)
	call	_brl_max2d_SetBlend
	movl	$_342,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%esi
	cmp	$_bbNullObject,%esi
	jne	_344
	call	_brl_blitz_NullObjectError
_344:
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_346
	call	_brl_blitz_NullObjectError
_346:
	flds	16(%ebx)
	fstps	4(%esp)
	flds	16(%esi)
	fstps	(%esp)
	call	_brl_max2d_SetScale
	movl	$_347,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$255,8(%esp)
	movl	$255,4(%esp)
	movl	$255,(%esp)
	call	_brl_max2d_SetColor
	movl	$_348,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_350
	call	_brl_blitz_NullObjectError
_350:
	flds	32(%ebx)
	fstps	(%esp)
	call	_brl_max2d_SetAlpha
	movl	$_351,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%edi
	cmp	$_bbNullObject,%edi
	jne	_353
	call	_brl_blitz_NullObjectError
_353:
	movl	-4(%ebp),%esi
	cmp	$_bbNullObject,%esi
	jne	_355
	call	_brl_blitz_NullObjectError
_355:
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_357
	call	_brl_blitz_NullObjectError
_357:
	movl	$0,12(%esp)
	mov	$300,%eax
	subl	24(%ebx),%eax
	movl	%eax,-8(%ebp)
	fildl	-8(%ebp)
	fadds	__bb_TCloud_gHorizonYOffset
	fstps	8(%esp)
	flds	12(%esi)
	fstps	4(%esp)
	movl	20(%edi),%eax
	movl	%eax,(%esp)
	call	_brl_max2d_DrawImage
	movl	$_358,(%esp)
	calll	*_bbOnDebugEnterStm
	fld1
	fstps	(%esp)
	call	_brl_max2d_SetAlpha
	movl	$_359,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$1,(%esp)
	call	_brl_max2d_SetBlend
	mov	$0,%ebx
	jmp	_74
_74:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%edi
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TCloud_hittable:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_362,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_361,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$0,%ebx
	jmp	_77
_77:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
	.data	
	.align	4
_87:
	.long	0
_86:
	.asciz	"cloud"
	.align	4
_85:
	.long	1
	.long	_86
	.long	0
_80:
	.asciz	"/Users/macbook/Downloads/grandprix_win/Imports/cloud.bmx"
	.align	4
_79:
	.long	_80
	.long	10
	.long	2
	.align	4
__bb_TCloud_gGfxCloud1:
	.long	_bbNullObject
	.align	4
_81:
	.long	_80
	.long	12
	.long	2
	.align	4
__bb_TCloud_gFirst:
	.long	_bbNullObject
	.align	4
_82:
	.long	_80
	.long	13
	.long	2
	.align	4
__bb_TCloud_gLast:
	.long	_bbNullObject
	.align	4
_83:
	.long	_80
	.long	14
	.long	2
	.align	4
__bb_TCloud_gHorizontalSpeed:
	.long	0x0
	.align	4
_84:
	.long	_80
	.long	15
	.long	2
	.align	4
__bb_TCloud_gHorizonYOffset:
	.long	0x0
_18:
	.asciz	"TCloud"
_19:
	.asciz	"fZ"
_20:
	.asciz	"f"
_21:
	.asciz	"fX"
_22:
	.asciz	"fScale"
_23:
	.asciz	"fGfx"
_24:
	.asciz	":TImage"
_25:
	.asciz	"fHeight"
_26:
	.asciz	"i"
_27:
	.asciz	"fSpeed"
_28:
	.asciz	"fAlpha"
_29:
	.asciz	"fPrevious"
_30:
	.asciz	":TCloud"
_31:
	.asciz	"fNext"
_32:
	.asciz	"New"
_33:
	.asciz	"()i"
_34:
	.asciz	"Delete"
_35:
	.asciz	"Create"
_36:
	.asciz	"():TCloud"
_37:
	.asciz	"loadGraphics"
_38:
	.asciz	"updateAll"
_39:
	.asciz	"(f,f,f)i"
_40:
	.asciz	"drawAll"
_41:
	.asciz	"removeAll"
_42:
	.asciz	"addToListDepthSorted"
_43:
	.asciz	"update"
_44:
	.asciz	"draw"
_45:
	.asciz	"hittable"
	.align	4
_17:
	.long	2
	.long	_18
	.long	3
	.long	_19
	.long	_20
	.long	8
	.long	3
	.long	_21
	.long	_20
	.long	12
	.long	3
	.long	_22
	.long	_20
	.long	16
	.long	3
	.long	_23
	.long	_24
	.long	20
	.long	3
	.long	_25
	.long	_26
	.long	24
	.long	3
	.long	_27
	.long	_20
	.long	28
	.long	3
	.long	_28
	.long	_20
	.long	32
	.long	3
	.long	_29
	.long	_30
	.long	36
	.long	3
	.long	_31
	.long	_30
	.long	40
	.long	6
	.long	_32
	.long	_33
	.long	16
	.long	6
	.long	_34
	.long	_33
	.long	20
	.long	7
	.long	_35
	.long	_36
	.long	48
	.long	7
	.long	_37
	.long	_33
	.long	52
	.long	7
	.long	_38
	.long	_39
	.long	56
	.long	7
	.long	_40
	.long	_33
	.long	60
	.long	7
	.long	_41
	.long	_33
	.long	64
	.long	6
	.long	_42
	.long	_33
	.long	68
	.long	6
	.long	_43
	.long	_33
	.long	72
	.long	6
	.long	_44
	.long	_33
	.long	76
	.long	6
	.long	_45
	.long	_33
	.long	80
	.long	0
	.align	4
_bb_TCloud:
	.long	_bbObjectClass
	.long	_bbObjectFree
	.long	_17
	.long	44
	.long	__bb_TCloud_New
	.long	__bb_TCloud_Delete
	.long	_bbObjectToString
	.long	_bbObjectCompare
	.long	_bbObjectSendMessage
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	__bb_TCloud_Create
	.long	__bb_TCloud_loadGraphics
	.long	__bb_TCloud_updateAll
	.long	__bb_TCloud_drawAll
	.long	__bb_TCloud_removeAll
	.long	__bb_TCloud_addToListDepthSorted
	.long	__bb_TCloud_update
	.long	__bb_TCloud_draw
	.long	__bb_TCloud_hittable
_94:
	.asciz	"Self"
	.align	4
_93:
	.long	1
	.long	_32
	.long	2
	.long	_94
	.long	_30
	.long	-4
	.long	0
	.align	4
_92:
	.long	3
	.long	0
	.long	0
	.align	4
_166:
	.long	1
	.long	_35
	.long	2
	.long	_86
	.long	_30
	.long	-4
	.long	0
	.align	4
_102:
	.long	_80
	.long	28
	.long	3
	.align	4
_104:
	.long	_80
	.long	30
	.long	3
	.align	8
_370:
	.long	0x0,0x40990000
	.align	8
_371:
	.long	0x0,0xc0890000
	.align	4
_108:
	.long	_80
	.long	31
	.long	3
	.align	4
_372:
	.long	0x3f666666
	.align	4
_373:
	.long	0x3f19999a
	.align	4
_112:
	.long	_80
	.long	32
	.long	3
	.align	4
_120:
	.long	_80
	.long	33
	.long	3
	.align	4
_374:
	.long	0x3f800000
	.align	4
_375:
	.long	0x44160000
	.align	4
_376:
	.long	0x3f000000
	.align	4
_126:
	.long	_80
	.long	34
	.long	3
	.align	4
_377:
	.long	0x3f800000
	.align	4
_132:
	.long	_80
	.long	35
	.long	3
	.align	4
_378:
	.long	0x459c4000
	.align	4
_379:
	.long	0x42700000
	.align	4
_138:
	.long	_80
	.long	36
	.long	3
	.align	4
_142:
	.long	_80
	.long	37
	.long	3
	.align	4
_380:
	.long	0x3f333333
	.align	4
_161:
	.long	3
	.long	0
	.long	0
	.align	4
_146:
	.long	_80
	.long	38
	.long	4
	.align	4
_381:
	.long	0x3f800000
	.align	4
_382:
	.long	0x3f333333
	.align	4
_383:
	.long	0x3e99999a
	.align	4
_152:
	.long	_80
	.long	39
	.long	4
	.align	4
_384:
	.long	0x3f000000
	.align	4
_160:
	.long	3
	.long	0
	.long	0
	.align	4
_156:
	.long	_80
	.long	40
	.long	5
	.align	4
_385:
	.long	0x3f000000
	.align	4
_162:
	.long	_80
	.long	44
	.long	3
	.align	4
_165:
	.long	_80
	.long	46
	.long	3
	.align	4
_173:
	.long	1
	.long	_37
	.long	0
	.align	4
_167:
	.long	_80
	.long	50
	.long	3
	.align	4
_7:
	.long	_bbStringClass
	.long	2147483647
	.long	19
	.short	71,114,97,112,104,105,99,115,47,99,108,111,117,100,49,46
	.short	112,110,103
	.align	4
_172:
	.long	_80
	.long	52
	.long	3
_187:
	.asciz	"pPlayerSpeed"
_188:
	.asciz	"pPlayerSegmentDX"
_189:
	.asciz	"pHorizonYOffset"
	.align	4
_186:
	.long	1
	.long	_38
	.long	2
	.long	_187
	.long	_20
	.long	-4
	.long	2
	.long	_188
	.long	_20
	.long	-8
	.long	2
	.long	_189
	.long	_20
	.long	-12
	.long	2
	.long	_86
	.long	_30
	.long	-16
	.long	0
	.align	4
_174:
	.long	_80
	.long	57
	.long	3
	.align	4
_175:
	.long	_80
	.long	58
	.long	3
	.align	4
_176:
	.long	_80
	.long	60
	.long	3
	.align	4
_178:
	.long	_80
	.long	61
	.long	3
	.align	4
_185:
	.long	3
	.long	0
	.long	0
	.align	4
_179:
	.long	_80
	.long	62
	.long	4
	.align	4
_182:
	.long	_80
	.long	63
	.long	4
	.align	4
_200:
	.long	1
	.long	_40
	.long	2
	.long	_86
	.long	_30
	.long	-4
	.long	0
	.align	4
_190:
	.long	_80
	.long	68
	.long	3
	.align	4
_192:
	.long	_80
	.long	69
	.long	3
	.align	4
_199:
	.long	3
	.long	0
	.long	0
	.align	4
_193:
	.long	_80
	.long	70
	.long	4
	.align	4
_196:
	.long	_80
	.long	71
	.long	4
	.align	4
_211:
	.long	1
	.long	_41
	.long	0
	.align	4
_201:
	.long	_80
	.long	76
	.long	3
	.align	4
_206:
	.long	_80
	.long	77
	.long	3
	.align	4
_315:
	.long	1
	.long	_42
	.long	2
	.long	_94
	.long	_30
	.long	-4
	.long	0
	.align	4
_212:
	.long	_80
	.long	81
	.long	3
	.align	4
_224:
	.long	3
	.long	0
	.long	0
	.align	4
_214:
	.long	_80
	.long	82
	.long	4
	.align	4
_219:
	.long	_80
	.long	83
	.long	4
_314:
	.asciz	"check"
	.align	4
_313:
	.long	3
	.long	0
	.long	2
	.long	_314
	.long	_30
	.long	-8
	.long	0
	.align	4
_226:
	.long	_80
	.long	85
	.long	4
	.align	4
_228:
	.long	_80
	.long	87
	.long	4
	.align	4
_238:
	.long	3
	.long	0
	.long	0
	.align	4
_235:
	.long	_80
	.long	88
	.long	5
	.align	4
_239:
	.long	_80
	.long	91
	.long	4
	.align	4
_262:
	.long	3
	.long	0
	.long	0
	.align	4
_241:
	.long	_80
	.long	92
	.long	5
	.align	4
_249:
	.long	_80
	.long	93
	.long	5
	.align	4
_257:
	.long	_80
	.long	94
	.long	5
	.align	4
_312:
	.long	3
	.long	0
	.long	0
	.align	4
_264:
	.long	_80
	.long	96
	.long	5
	.align	4
_278:
	.long	3
	.long	0
	.long	0
	.align	4
_268:
	.long	_80
	.long	97
	.long	6
	.align	4
_285:
	.long	3
	.long	0
	.long	0
	.align	4
_280:
	.long	_80
	.long	99
	.long	6
	.align	4
_286:
	.long	_80
	.long	101
	.long	5
	.align	4
_294:
	.long	_80
	.long	102
	.long	5
	.align	4
_304:
	.long	_80
	.long	103
	.long	5
	.align	4
_340:
	.long	1
	.long	_43
	.long	2
	.long	_94
	.long	_30
	.long	-4
	.long	0
	.align	4
_316:
	.long	_80
	.long	109
	.long	3
	.align	4
_322:
	.long	_80
	.long	111
	.long	3
	.align	4
_437:
	.long	0xc4480000
	.align	4
_330:
	.long	3
	.long	0
	.long	0
	.align	4
_326:
	.long	_80
	.long	112
	.long	4
	.align	4
_438:
	.long	0x44c80000
	.align	4
_331:
	.long	_80
	.long	115
	.long	3
	.align	4
_439:
	.long	0x44c80000
	.align	4
_339:
	.long	3
	.long	0
	.long	0
	.align	4
_335:
	.long	_80
	.long	116
	.long	4
	.align	4
_440:
	.long	0xc4480000
	.align	4
_360:
	.long	1
	.long	_44
	.long	2
	.long	_94
	.long	_30
	.long	-4
	.long	0
	.align	4
_341:
	.long	_80
	.long	121
	.long	3
	.align	4
_342:
	.long	_80
	.long	122
	.long	3
	.align	4
_347:
	.long	_80
	.long	123
	.long	3
	.align	4
_348:
	.long	_80
	.long	124
	.long	3
	.align	4
_351:
	.long	_80
	.long	125
	.long	3
	.align	4
_358:
	.long	_80
	.long	126
	.long	3
	.align	4
_359:
	.long	_80
	.long	127
	.long	3
	.align	4
_362:
	.long	1
	.long	_45
	.long	2
	.long	_94
	.long	_30
	.long	-4
	.long	0
	.align	4
_361:
	.long	_80
	.long	131
	.long	3
